package jp.sourceforge.tamanegisoul.sa.action;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

/**
 * アラーム起動時にAlarmManagerから呼び出されるレシーバー
 */
public class AlarmReceiver extends BroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {
        // アラーム鳴動画面を表示
        Intent i = new Intent(context, DoAlarmActivity.class);
        i.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        context.startActivity(i);
    }
}
